%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Gearman
%define		_status		alpha
%define		_pearname	Net_Gearman
Summary:	%{_pearname} - A PHP interface to Danga's Gearman
Summary(pl.UTF-8):	%{_pearname} - interfejs PHP do systemu Gearman
Name:		php-pear-%{_pearname}
Version:	0.2.3
Release:	4
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	bc5402ede86d7de797abe712dc538573
URL:		http://pear.php.net/package/Net_Gearman/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(json)
Requires:	php-pear
Obsoletes:	php-pear-Net_Gearman-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gearman (http://www.danga.com/gearman) is a system to farm out work to
other machines. It can load balance function calls to lots of machines
and allows you to call functions between languages. It can also run
all function calls in parallel.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Gearman (http://www.danga.com/gearman) to system do dystrubucji zadań
na inne maszyny. Możliwe jest rozdzielanie wywołań funkcji na wiele
maszyn jak również na wywoływanie funkcji pomiędzy różnymi językami.
Możliwe jest także wywołanie wielu funkcji równolegle.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/Net_Gearman/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/Gearman
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 61c4dd8
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> c3a6903
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> db5077a
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 50e6cd1
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 6321a2b
- updated deps with pearize.sh
- release 2

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> 4a53c79
- updated to 0.2.3

* Fri Feb 20 2009 Adam Gołębiowski <adamg@pld-linux.org> 43a3789
- updated to 0.2.1

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 88f3e5d
- updated to 0.2.0

* Sat May 17 2008 Adam Gołębiowski <adamg@pld-linux.org> 7ca4b57
- new

